net.corda.node.services.transactions

## Class Commands.PutAll<K,V>

- net.corda.node.services.transactions.DistributedImmutableMap.Commands.PutAll<K,V>

- Enclosing class:
    DistributedImmutableMap.Commands

      public static class Commands.PutAll<K,V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutAll(java.util.Map<K,? extends V> entries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.atomix.copycat.Command.CompactionMode` | `compaction()`
    `java.util.Map<K,V>` | `getEntries()`

- - ### Constructor Detail

    - #### PutAll

          public PutAll(java.util.Map<K,? extends V> entries)

  - ### Method Detail

    - #### compaction

          public io.atomix.copycat.Command.CompactionMode compaction()

    - #### getEntries

          public java.util.Map<K,V> getEntries()